
#version 460

layout (location = 0) in vec2 vertexPos;

uniform mat4 transform;
uniform mat4 localToWorldTransform;

out vec2 originalPos;

void main() {
	gl_Position = transform * localToWorldTransform * vec4(vertexPos, 0.0, 1.0);
	originalPos = (localToWorldTransform * vec4(vertexPos, 0.0, 1.0)).xy;
}
